package com.microservices.pms.project.domain.vo;

import lombok.Data;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

@Data
public class PendingOutputDataVo {
    private Long id;

    private Long pms_projiect_id;

    private String title;

    private Long type_id;

    private String tag_ids;

    private List<String> content_list;

    private List<String> expected_result;

    private String update_by;

    private LocalDate update_time;

    private String create_by;

    private LocalDate create_time;

    private String test_type;

    private String description;

    private String test_method;

    private String termination_conditions;

    private String identifier;

    private String preconditions;



    public PendingOutputDataVo() {
        content_list = new ArrayList<>();
        expected_result = new ArrayList<>();
    }

    // 添加元素的方法
    public void addToContent(String item) {
        content_list.add(item);
    }

    public void addToExpected(String item) {
        expected_result.add(item);
    }

    public void addContent(String item) {
        this.content_list.add(item);
    }

    public void addExpected(String item) {
        this.expected_result.add(item);
    }
}
